Page MenuHomePhabricator

Update signals API
Closed, ResolvedPublic8 Story Points

Description

The sigranls API, operator+= return size_t, handler connection ID. This is unusable for as. Please modify given API for return std::unique_ptr. Also, modify ralated API's too.

rimmed created this task.Oct 4 2017, 5:13 AM
FurryMyad moved this task from Backlog to Doing on the Eflete (Sprint W40) board.Oct 4 2017, 7:16 AM

so

  1. it works
  2. all SIGNAL += CB_ should be turned into auto f1 = SIGNAL += CB_ (which is unpleasant actually)

but at least tests are passed C:

rimmed moved this task from Doing to Review on the Eflete (Sprint W40) board.Oct 11 2017, 1:49 AM
FurryMyad moved this task from Review to Done on the Eflete (Sprint W41) board.Oct 17 2017, 4:47 AM
rimmed closed this task as Resolved.Oct 25 2017, 2:22 AM